package com.kiisoo.ic.job.detail;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@Controller
@RequestMapping("/job")
@Slf4j
public class SyncDetailJobController {
    @Autowired
    private CustomerDataJob customerDataJob;

    @GetMapping("/sync/customer")
    public void getCustomerInfo(){
        try {
            customerDataJob.handle(null);
        }catch (Exception e){
            log.error("",e);
        }
    }
    @GetMapping("/sync/customer/shop")
    public void getCustomerInfo(@RequestParam("cpUserId")String cpUserIds){
        try {
            customerDataJob.handle(cpUserIds);
        }catch (Exception e){
            log.error("",e);
        }
    }
}
